Get the file name of the current execution point

- « ReflectionFiber::getCallable

- ReflectionFiber::getExecutingLine »

- PHP Manual
- ReflectionFiber
- Get the file name of the current execution point

# ReflectionFiber::getExecutingFile

(PHP 8 >= 8.1.0)

ReflectionFiber::getExecutingFile — Get the file name of the current execution point

### Description

public ReflectionFiber::getExecutingFile(): ?string

Returns the full path and file name of the current execution point in the reflected Fiber. If the fiber has not been started or has terminated, an Error is thrown.

### Parameters

This function has no parameters.

### Return Values

The full path and file name of the reflected fiber. If the reflected fiber is used outside a user-defined function, `null` is returned.